This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 694139 - (openvas-gsd) Review Request: openvas-gsd - Greenbone Security Desktop client application for OpenVAS
Review Request: openvas-gsd - Greenbone Security Desktop client application f...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2011-04-06 10:52 EDT by Michal Ambroz
Modified: 2014-01-30 17:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-30 17:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2011-04-06 10:52:21 EDT
Dear colleagues,
please I would like to ask you for review of a new openvas package - openvas-gsd.

Spec URL: http://rebus.fedorapeople.org/SPECS/openvas-gsd.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/openvas-gsd-1.1.1-1.fc14.src.rpm

Description:
The GSD is a desktop client that connects to the OpenVAS Manager using
the OMP protocol.

Please note that package name (openvas-gsd) is different from the original name of the distribution tarball (gsd). I decided this to be like that to keep the naming convention used for the resto of the openvas modules (openvas-libraries, openvas-scanner, openvas-cli, openvas-manager, openvas-administrator).

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2977490

Best regards
Michal Ambroz
Comment 1 Volker Fröhlich 2011-06-30 18:29:58 EDT
Even EPEL 5 ships Cmake 2.6. I think, you don't need the version constraint.

Please inform upstream about the incorrect FSF postal address.

Please see http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

You try to own the directory /etc/openvas, which is already owned by another package.

Don't include INSTALL.
Comment 2 Michal Ambroz 2011-07-01 14:07:54 EDT
Hello Volker,

(In reply to comment #1)
> Even EPEL 5 ships Cmake 2.6. I think, you don't need the version constraint.
CMakeLists.txt:cmake_minimum_required (VERSION 2.6)
That's the reason I included the version constraint

> Please inform upstream about the incorrect FSF postal address.
I will do. 

> Please see
> http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files
I have seen it when packaging the gsd - that guideline is for gettext localisations. Translations in GSD are not done using gettext, but it uses the QT functionalities for that. As there are no special guideline for that I have checked how it is in other projects using the QT (scribus, smplayer, scidavis) and left it as it is in the translations directory.

> You try to own the directory /etc/openvas, which is already owned by another
> package.
Historical reasons for that - openvas-libraries originally didn't own the directory so it is owned by each of the openvas packages storing there the configuration. I will remove it.


> Don't include INSTALL.
OK I will remove it.
Comment 3 Volker Fröhlich 2011-07-10 16:09:01 EDT
Quite about every possible build target (besides EPEL4 maybe) ships CMake 2.6 or newer. You don't have an older version anywhere around, so the version restriction is pointless. It is fulfilled whatever may be.

You can drop the defattr line, if you don't plan to package to EPEL4. If you don't plan to package for EPEL at all, you can drop Buildroot, the clean section and rm -rf %{buildroot} in the install section. Please see for reference: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines

The configuration file points to a log directory, that doesn't exist. Create it or require a package that provides it.

Ad translations: Forget the gettext part, but the rest applies.

Please use -p when you install the icon to keep the timestamp. Why do you set 755 for an icon?

You should probably be more explicit in your files section, given the fact, you only install a few files. For instance:

- %{upname}* --> %{upname}.8.*
- %{_datadir}/applications/* --> %{_datadir}/applications/%{upname}.desktop

While it is not necessary from a technical point of view, it avoids to install things inadvertently.

Concerning the CMake flags: It is probably easier to set CMAKE_INSTALL_PREFIX empty, but I haven't tried.

I'm pretty certain, "Requires: htmldoc" is not needed to run the program. It also pulls in other packages. I beg your pardon, if I'm wrong.

If you BR Doxygen, you should also use it: See INSTALL -- there is a build target for the documentation. I don't know though, whether the output is valuable.
Comment 4 Michal Ambroz 2011-07-11 12:33:35 EDT
Hi,
once again thanks for comments. 
Sorry for delay - I am fighting the deprecated gnutls code in openvas-libraries to be able to update whole suite to recent versions.

>You can drop the defattr line, if you don't plan to package to EPEL4.
I do plan for EPEL as the other packages of openvas do.

>Why do you set 755 for an icon?
This is just wrong should be 644.

Michal Ambroz
Comment 5 Volker Fröhlich 2011-09-16 16:57:41 EDT
Any news here?
Comment 6 Volker Fröhlich 2011-12-13 14:32:52 EST
Any news, Michal?
Comment 7 Michal Ambroz 2011-12-13 20:09:12 EST
Unfortunately the core packages (libraries, server, manager) are still not working properly to me.

Here is the update openvas-gsd package
Spec URL: http://rebus.fedorapeople.org/SPECS/openvas-gsd.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/openvas-gsd-1.2.1-1.fc16.src.rpm

Best regards
Michal Ambroz
Comment 8 Michal Ambroz 2012-06-15 09:15:14 EDT
Updated openvas-gsd package:
Here is the update openvas-gsd package
Spec URL: http://rebus.fedorapeople.org/SPECS/openvas-gsd.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/openvas-gsd-1.2.2-2.fc17.src.rpm

There is still issue with gnutls x openvas.
According to upstream - gnutls in fedora is old and not compiled with the recommended ASN1 library.
Openvas claims working fine.
Gnutls claims working fine.
Truth is probably somewhere in between.

According the network dumps the difference is that on working systems connection is established in one TCP packet and data is read on other. With gnutls the TLS connection and data is in 1 TCP packet and openvas-library keeps waiting forever.
I will describe more on openvas-cli.

Once openvas-library is fixed this will start working as well so please do the review.
For working please test against the LiveCD from Openvas Project.

Michal Ambroz
Comment 9 Michal Ambroz 2012-11-16 00:58:09 EST
OpenVas5 seems to work with current version of gnutls in Fedora 17.

Spec URL: http://rebus.fedorapeople.org/SPECS/openvas-gsd.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/openvas-gsd-1.2.2-2.fc17.src.rpm


You need to use srpms from rawhide in order to try on Fedroa 17:
openvas-libraries https://koji.fedoraproject.org/koji/buildinfo?buildID=366563
openvas-scanner https://koji.fedoraproject.org/koji/buildinfo?buildID=366564
openvas-manager https://koji.fedoraproject.org/koji/buildinfo?buildID=366590

openvas-administrator https://bugzilla.redhat.com/show_bug.cgi?id=693126

Best regards
Michal Ambroz
Comment 10 Volker Fröhlich 2012-11-18 17:44:31 EST
Please make the build verbose! Also, read through the locale guidelines once more, as they apply.
Comment 11 Michal Ambroz 2013-02-08 20:43:14 EST
Hi Volker,

>Please make the build verbose!
I am not sure what you mean. 
Build is made verbose by makro %cmake by default.
I have added explicit -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE, but I believe it is redundant.
Please can you confirm this is what you have meant?

>Also, read through the locale guidelines once more, as they apply.
Added %find_lang.

Spec URL: http://rebus.fedorapeople.org/SPECS/openvas-gsd.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/openvas-gsd-1.2.2-3.fc18.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=4940635
Comment 12 Volker Fröhlich 2013-04-27 11:30:46 EDT
Fails to build in Rawhide now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5308077
Comment 13 Volker Fröhlich 2014-01-26 11:30:21 EST
Can we close this request?
Comment 14 Michal Ambroz 2014-01-30 17:05:34 EST
Yes we can close this one ... not supported in the 7.x branch anyway.

Note You need to log in before you can comment on or make changes to this bug.